=== tests/CMakeLists.txt ===
add_subdirectory(auto)
add_subdirectory(compilation)
add_subdirectory(manual)
