=== src/qml/CMakeLists.txt ===
if (Qt4or5_Quick1_FOUND)
    add_subdirectory(quick1)
endif()

if (Qt4or5_Quick2_FOUND)
    add_subdirectory(quick2)
endif()
