=== tests/compilation/CMakeLists.txt ===
add_test(NAME compilation_tests
    COMMAND ${CMAKE_COMMAND}
        -DQT_VERSION=${QT_VERSION}
        -DQTGLIB_LIBRARY=$<TARGET_LINKER_FILE:${QTGLIB_LIBRARY}>
        -DQTGSTREAMER_LIBRARY=$<TARGET_LINKER_FILE:${QTGSTREAMER_LIBRARY}>
        -DQTGSTREAMER_INCLUDE_DIR=${QTGSTREAMER_INCLUDE_DIR}
        -DQTGSTREAMER_STATIC=${QTGSTREAMER_STATIC}
        -DCMAKE_MODULE_PATH=${CMAKE_MODULE_PATH}
        -DBINARY_DIR=${CMAKE_CURRENT_BINARY_DIR}/CompilationTests
        -DSOURCE_DIR=${CMAKE_CURRENT_SOURCE_DIR}
        -DGENERATOR=${CMAKE_GENERATOR}
        -P ${CMAKE_CURRENT_SOURCE_DIR}/RunCompilationTests.cmake
)
