=== debian/changelog ===
qt-gstreamer (1.2.0-5ubuntu0.1) focal; urgency=medium

  * d/patches: Fix gst_caps_copy() macro.
    - Fixes FTBFS in Focal.
  * d/control: Apply Debian fix for missing dependencies. (LP: #1950959)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 19 Dec 2023 22:18:23 +0000

qt-gstreamer (1.2.0-5) unstable; urgency=medium

  * Team upload.
  * Remove the Qt4 packages, as they are not used in the archive anymore:
    (Closes: #875147)
    - remove the libqtglib-2.0-0, libqtgstreamer-1.0-0, libqtgstreamerui-1.0-0,
      libqtgstreamerutils-1.0-0, qtgstreamer-plugins, qtgstreamer-declarative,
      libqtgstreamer-dev, and qtgstreamer-dbg packages
    - remove the libqt4-dev, and libqt4-opengl-dev build dependencies
    - remove the double build in rules
    - switch libqtgstreamer-dev suggest in qtgstreamer-doc to
      libqt5gstreamer-dev
  * Remove qt5gstreamer-dbg in favour of the -dbgsym packages.
  * Remove dh_gencontrol override: it used to run dh_gstscancodecs, but since
    it does not anymore, then do not bother doing no-op work.
  * Remove also *.map files in the doxygen-generated documentation.
  * Fix version of a libqt5glib-2.0-0 symbol.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Remove trailing whitespaces in changelog.
  * Update Vcs-* fields.
  * Use https in the watch file, for the Homepage, and for the PTS URL.
  * Remove manual libstdc++6 dependency in libqt5glib-2.0-0.
  * Suggest qtgstreamer-plugins-qt5 instead of qtgstreamer-plugins in
    libqt5gstreamerui-1.0-0.

 -- Pino Toscano <pino@debian.org>  Mon, 25 Dec 2017 00:15:49 +0100

qt-gstreamer (1.2.0-4) unstable; urgency=medium

  * Refresh patches.
  * Add new patch: Furter-workarounds-for-build-failures-now-boost-1.61-
    and-.patch
  * Fix dpkg-buildpackage -A ftbfs (Closes: #806102)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 09 Aug 2016 14:57:19 +0200

qt-gstreamer (1.2.0-3) unstable; urgency=medium

  * Team upload.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 13 Aug 2015 11:38:00 +0200

qt-gstreamer (1.2.0-2ubuntu3) UNRELEASED; urgency=medium

  * Fix FTBFS because of latest gstreamer:
    - add find_gstconfig_properly.diff
    - add pkg-config to build depends (needed by the above patch)
  * Workaround FTBFS with boost >= 1.57:
    - add upstream_workaround_boost_ftbfs.diff

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 10 Aug 2015 14:07:34 +0200

qt-gstreamer (1.2.0-2ubuntu2) wily; urgency=medium

  * Revert package rename; on closer inspection the only symbol changes are
    all to templates.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 09 Aug 2015 22:08:38 +0000

qt-gstreamer (1.2.0-2ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Aug 2015 06:42:22 +0000

qt-gstreamer (1.2.0-2) unstable; urgency=medium

  * Add disable-doxygen-timestamp.patch to help make package
    build reproducably.
  * Update symbols file, a few symbols are parameterized on amd64 and i386.
  * Delete .md5 files generated by Doxygen
  * Update Standards-Version to 3.9.6. No changes needed.
  * Build Qt5 versions of QtGstreamer.
    - libqt5glib, libqt5gstreamer, libqt5gstreamer-dev,
      libqt5gstreamerquick-1.0, libqt5gstreamerui-1.0,
      libqt5gstreamerutils-1.0, and qtgstreamer-plugins-qt5
    - I copied work from Jonathan Riddell for the .install and
      .symbols files.
  * Differentiate package long descriptions between Qt4 and Qt5 packages.
  * Build doc files in an architecture independent step.
  * Correctly build dbg packages for Qt4 and Qt5 packages.
  * Release to unstable after Jessie freeze finished.

 -- Diane Trout <diane@ghic.org>  Wed, 29 Apr 2015 21:26:30 -0700

qt-gstreamer (1.2.0-1) experimental; urgency=medium

  * Import upstream version 1.2.0
  * Add watch file.
  * Bump Standards-Version to 3.9.5. No changes needed.
  * Add myself to uploaders.
  * Removed include_path_multiarch.patch build is multiarch compatible.
  * Update package names from 0.10 to 1.0 to reflect change in api version.
  * Update symbols files.
  * Remove LIB_INSTALL_DIR setting from rules as its not used by cmake any more.
  * Update path for qtgstreamer-dev cmake configuration files.
  * Add Multi-Arch: same to qtgstreamer-dbg
  * Link to debian provided jquery.
  * Update libqtgstreamer for amd64 and i386
  * Add dependency on pkg-kde-tools to use pkgkde-symbolshelper to
    manage symbols.
  * Change maintainer to Debian KDE Extras Team
  * Add vcs-git and vcs-browser tags.

 -- Diane Trout <diane@ghic.org>  Tue, 01 Jul 2014 20:13:24 -0700
