=== debian/control ===
Source: qt-gstreamer
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Diane Trout <diane@ghic.org>
Build-Depends: cmake (>= 2.8.6),
               debhelper (>= 9),
               doxygen,
               dpkg-dev (>= 1.16.1~),
               graphviz,
               libboost-dev (>= 1.39),
               libgstreamer-plugins-base1.0-dev (>= 1.1.90),
               libgstreamer1.0-dev (>= 1.1.90),
               libqt5opengl5-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev,
               qtdeclarative5-dev
Standards-Version: 4.1.2
Homepage: https://gstreamer.freedesktop.org
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/qt-gstreamer.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-extras/qt-gstreamer.git

Package: qtgstreamer-doc
Section: doc
Architecture: all
Depends: libjs-jquery, ${misc:Depends}
Suggests: libqt5gstreamer-dev
Description: QtGStreamer API documentation
 QtGStreamer provides C++ bindings for GStreamer with a Qt-style API,
 plus some helper classes for integrating GStreamer better in Qt applications.
 .
 This package contains API documentation for the QtGStreamer library
 in html format, generated from the sources with doxygen.

Package: libqt5glib-2.0-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: C++ bindings library for GLib and GObject with a Qt-style API - Qt 5 build
 This package contains the QtGLib library, a library that provides
 C++ bindings for parts of the GLib and GObject APIs with a Qt-syle API.
 The bindings are designed to be easy to use for C++ programmers that are
 used to the Qt API and also provide easier integration with Qt by using
 Qt's data types where applicable.
 .
 This library serves as a base for building the QtGStreamer bindings library.
 .
 This package is part of the Qt5 version of QtGStreamer.

Package: libqt5gstreamer-1.0-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: C++ bindings library for GStreamer with a Qt-style API - Qt 5 build
 This package contains the QtGStreamer library, a library that provides
 C++ bindings for GStreamer with a Qt-style API. The bindings are designed
 to be easy to use for C++ programmers that are used to the Qt API and
 also provide easier integration with Qt by using Qt's data types where
 applicable.
 .
 This package is part of the Qt5 version of QtGStreamer.

Package: libqt5gstreamerui-1.0-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: qtgstreamer-plugins-qt5
Description: QtGStreamerUi library - Qt 5 build
 This package contains the QtGStreamerUi library, a library that provides
 helper classes for integrating GStreamer better in graphical Qt applications.
 .
 This package is part of the Qt5 version of QtGStreamer.

Package: libqt5gstreamerutils-1.0-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: QtGStreamerUtils library - Qt 5 build
 This package contains the QtGStreamerUtils library, a library that provides
 some high level utility classes that can be used with QtGStreamer.
 .
 This package is part of the Qt5 version of QtGStreamer.

Package: libqt5gstreamerquick-1.0-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: qtgstreamer-plugins-qt5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: qml-module-qtgstreamer (= ${binary:Version})
Description: QtGStreamerQuick library - Qt 5 build
 This package contains the QtGStreamerQuick library, a library that provides
 some high level utility classes that can be used with QtGStreamer.
 .
 This package is part of the Qt5 version of QtGStreamer.

Package: qtgstreamer-plugins-qt5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: GStreamer plugins from QtGStreamer - Qt 5 build
 This package contains GStreamer plugins that are shipped together with
 the QtGStreamer bindings library. These plugins provide GStreamer elements
 that enable better integration of GStreamer in Qt applications.
 .
 Currently, this package contains the qtvideosink, qtglvideosink and
 qwidgetvideosink elements.
 .
 This package is part of the Qt5 version of QtGStreamer.

Package: libqt5gstreamer-dev
Section: libdevel
Architecture: any
Depends: libboost-dev (>= 1.39),
         libglib2.0-dev,
         libgstreamer-plugins-base1.0-dev (>= 1.1.90),
         libgstreamer1.0-dev,
         libqt5glib-2.0-0 (= ${binary:Version}),
         libqt5gstreamer-1.0-0 (= ${binary:Version}),
         libqt5gstreamerquick-1.0-0 (= ${binary:Version}),
         libqt5gstreamerui-1.0-0 (= ${binary:Version}),
         libqt5gstreamerutils-1.0-0 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends}
Recommends: qtdeclarative5-dev
Suggests: qtgstreamer-doc
Description: Development headers for QtGStreamer - Qt 5 build
 QtGStreamer provides C++ bindings for GStreamer with a Qt-style API,
 plus some helper classes for integrating GStreamer better in Qt applications.
 .
 This package provides the necessary development files for building
 C++/Qt applications that use the QtGStreamer library.
 .
 This package is part of the Qt5 version of QtGStreamer.

Package: qml-module-qtgstreamer
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: QML plugins from QtGStreamer - Qt 5 build
 This package contains QML plugins that are shipped together with the
 QtGStreamer bindings library. These plugins provide QML elements that
 enable better integration of GStreamer in QML-based GUI applications.
 .
 This package is part of the Qt5 version of QtGStreamer.
